<template>
<div class="centre">
	<div class="error-modal">
		<div class="title">Error</div>
		<div class="error">{{ text }}</div>
	</div>
</div>
</template>

<script>
export default {
	methods: {
		click () {
			UI.emit("CHANGE_ROUTE", "/main-menu")
		}
	},
	mounted () {
		UI.on("PRESS_ENTER", this.click)
	},
	name: "error",
	props: [ "text" ],
	unmounted () {
		UI.off("PRESS_ENTER", this.click)
	}
}
</script>

<style lang="less" scoped>
.centre {
	align-items: center;
	bottom: 0;
	display: flex;
	font-size: 4em;
	height: 100%;
	justify-content: center;
	left: 0;
	position: relative;
	right: 0;
	top: 0;
}

.error {
	padding: 1em;
	width: 20em;
}

.error-modal {
	background-color: #e33;
	border: 4px #d22 solid;
}

div {
	color: #fff;
}

.title {
	background-color: #c11;
	padding: .5em 1em;
}
</style>